1 (edited by mururoa 2019-05-14 03:01:42)

Topic: 0.9.9 broken for FreeBSD 12 ?

==== REQUIRED BASIC INFO OF YOUR IREDMAIL SERVER ====
- iRedMail version (check /etc/iredmail-release): 0.9.9
- Deployed with iRedMail Easy or the downloadable installer? Installer
- Linux/BSD distribution name and version: FreeBSD 12
- Store mail accounts in which backend (LDAP/MySQL/PGSQL): PGSQL
- Web server (Apache or Nginx): ngnix
- Manage mail accounts with iRedAdmin-Pro? no
- [IMPORTANT] Related original log or error message is required if you're experiencing an issue.
====

I tried 2 times to install iRedMail on a fresh FreeBSD 12 without success.
It ends this way :

===>   p5-Locale-gettext-1.07 depends on shared library: libintl.so - found (/usr/local/lib/libintl.so)
===>  Configuring for p5-Locale-gettext-1.07
env: /usr/local/bin/perl5.28.2: No such file or directory
*** Error code 127

Stop.
make[5]: stopped in /usr/ports/devel/p5-Locale-gettext
*** Error code 1

Stop.
make[4]: stopped in /usr/ports/misc/help2man
*** Error code 1

Stop.
make[3]: stopped in /usr/ports/print/texinfo
*** Error code 1

Stop.
make[2]: stopped in /usr/ports/security/libgcrypt
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/textproc/libxslt
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/py-lxml
<< ERROR >> Port was not successfully installed, please fix it manually and then re-execute this script.

Yesterday it ends on same error.
Today I issued once more portsnap fetch update but I did'nt get any further.

If I install the packages (py-lxml, libxlst, libgcrypt, ...) with pkg install it gets past this step and then fail again a few steps after and again and again but in the end fails to build spamassassin and this time installing package spamassassin dont permit to continue the install process.

Is the install on FreeBSD 12 broken ?
I'd rather would not install it on FreeBSD 11 or Linux.

2

Re: 0.9.9 broken for FreeBSD 12 ?

mururoa wrote:

===>  Configuring for p5-Locale-gettext-1.07
env: /usr/local/bin/perl5.28.2: No such file or directory

it's looking for perl-5.28.x, Did the iRedMail installer install perl-5.28 on your server?

----

Does my reply help a little? How about buying me a cup of coffee ($5) as an encouragement?

buy me a cup of coffee

3 (edited by mururoa 2019-05-16 01:41:47)

Re: 0.9.9 broken for FreeBSD 12 ?

ZhangHuangbin wrote:
mururoa wrote:

===>  Configuring for p5-Locale-gettext-1.07
env: /usr/local/bin/perl5.28.2: No such file or directory

it's looking for perl-5.28.x, Did the iRedMail installer install perl-5.28 on your server?

Sure, perl is installed (perl5 (revision 5 version 28 subversion 1)).
So perl5.28.1 but not perl5.28.2.
I had to uninstall package perl5.28.1 and install perl5.28.2 with ports.
After that it went ok until readline 7.xx that I had to uninstall to install 8.xx with ports.
Then it's still installing now. I keep you informed.
All I had on the VM before installing iRedMail was rsync, screen and open-vm-tools. Maybe it's related to that.

4

Re: 0.9.9 broken for FreeBSD 12 ?

Installation ok now.
So it was about deinstalling packages and reinstalling the newest version.
Maybe related to package open-vm-tools comming with same dependencies than iRedMail but installed with packages rather than ports.